<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SigGen: siggen::SigGen Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SigGen
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsiggen_1_1_sig_gen.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classsiggen_1_1_sig_gen-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">siggen::SigGen Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>generates signature from input file and writes result to output file  
 <a href="classsiggen_1_1_sig_gen.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_sig_gen_8h_source.html">SigGen.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a80d1e476682130f9dcba8d331f9b27be"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_sig_gen.html#a80d1e476682130f9dcba8d331f9b27be">SigGen</a> (<a class="el" href="classsiggen_1_1_options.html">Options</a> const &amp;options)</td></tr>
<tr class="memdesc:a80d1e476682130f9dcba8d331f9b27be"><td class="mdescLeft">&#160;</td><td class="mdescRight">generates signature from input file and writes result to output file  <a href="classsiggen_1_1_sig_gen.html#a80d1e476682130f9dcba8d331f9b27be">More...</a><br /></td></tr>
<tr class="separator:a80d1e476682130f9dcba8d331f9b27be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52cb2cae015089c5a352ff33e0f72419"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_sig_gen.html#a52cb2cae015089c5a352ff33e0f72419">ProcessToFile</a> ()</td></tr>
<tr class="memdesc:a52cb2cae015089c5a352ff33e0f72419"><td class="mdescLeft">&#160;</td><td class="mdescRight">reads input file block after block and generate signature for each one  <a href="classsiggen_1_1_sig_gen.html#a52cb2cae015089c5a352ff33e0f72419">More...</a><br /></td></tr>
<tr class="separator:a52cb2cae015089c5a352ff33e0f72419"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6683e988d1a523acda77c5fb7c5edfbf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_sig_gen.html#a6683e988d1a523acda77c5fb7c5edfbf">ProcessToBuffer</a> (std::vector&lt; char &gt; &amp;result)</td></tr>
<tr class="memdesc:a6683e988d1a523acda77c5fb7c5edfbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">reads input file block after block and generate signature for each one  <a href="classsiggen_1_1_sig_gen.html#a6683e988d1a523acda77c5fb7c5edfbf">More...</a><br /></td></tr>
<tr class="separator:a6683e988d1a523acda77c5fb7c5edfbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a5d1a3b3fb8500415bc93a8ce9e62ef5c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsiggen_1_1_sig_gen.html#a5d1a3b3fb8500415bc93a8ce9e62ef5c">WriteOutputFile</a> (std::vector&lt; char &gt; const &amp;signatures)</td></tr>
<tr class="memdesc:a5d1a3b3fb8500415bc93a8ce9e62ef5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">writes signature from memory to file  <a href="classsiggen_1_1_sig_gen.html#a5d1a3b3fb8500415bc93a8ce9e62ef5c">More...</a><br /></td></tr>
<tr class="separator:a5d1a3b3fb8500415bc93a8ce9e62ef5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>generates signature from input file and writes result to output file </p>

<p class="definition">Definition at line <a class="el" href="_sig_gen_8h_source.html#l00014">14</a> of file <a class="el" href="_sig_gen_8h_source.html">SigGen.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a80d1e476682130f9dcba8d331f9b27be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80d1e476682130f9dcba8d331f9b27be">&#9670;&nbsp;</a></span>SigGen()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">siggen::SigGen::SigGen </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classsiggen_1_1_options.html">Options</a> const &amp;&#160;</td>
          <td class="paramname"><em>options</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>generates signature from input file and writes result to output file </p>
<p>Prepares input, output and threading for actual processing by thread manager.</p>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">std::runtime_error</td><td></td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="_sig_gen_8cpp_source.html#l00012">12</a> of file <a class="el" href="_sig_gen_8cpp_source.html">SigGen.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a6683e988d1a523acda77c5fb7c5edfbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6683e988d1a523acda77c5fb7c5edfbf">&#9670;&nbsp;</a></span>ProcessToBuffer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void siggen::SigGen::ProcessToBuffer </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; char &gt; &amp;&#160;</td>
          <td class="paramname"><em>result</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>reads input file block after block and generate signature for each one </p>
<p>Writes result to supplied buffer </p>

<p class="definition">Definition at line <a class="el" href="_sig_gen_8cpp_source.html#l00076">76</a> of file <a class="el" href="_sig_gen_8cpp_source.html">SigGen.cpp</a>.</p>

</div>
</div>
<a id="a52cb2cae015089c5a352ff33e0f72419"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52cb2cae015089c5a352ff33e0f72419">&#9670;&nbsp;</a></span>ProcessToFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void siggen::SigGen::ProcessToFile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>reads input file block after block and generate signature for each one </p>
<p>Writes result to file specified by options </p>

<p class="definition">Definition at line <a class="el" href="_sig_gen_8cpp_source.html#l00068">68</a> of file <a class="el" href="_sig_gen_8cpp_source.html">SigGen.cpp</a>.</p>

</div>
</div>
<a id="a5d1a3b3fb8500415bc93a8ce9e62ef5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d1a3b3fb8500415bc93a8ce9e62ef5c">&#9670;&nbsp;</a></span>WriteOutputFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void siggen::SigGen::WriteOutputFile </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; char &gt; const &amp;&#160;</td>
          <td class="paramname"><em>signatures</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>writes signature from memory to file </p>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">std::runtime_error</td><td></td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="_sig_gen_8cpp_source.html#l00082">82</a> of file <a class="el" href="_sig_gen_8cpp_source.html">SigGen.cpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/x/siggen/lib/include/<a class="el" href="_sig_gen_8h_source.html">SigGen.h</a></li>
<li>/home/x/siggen/lib/src/<a class="el" href="_sig_gen_8cpp_source.html">SigGen.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>siggen</b></li><li class="navelem"><a class="el" href="classsiggen_1_1_sig_gen.html">SigGen</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.16 </li>
  </ul>
</div>
</body>
</html>
